# [Arrhenius.jl](https://github.com/DENG-MIT/Arrhenius.jl)
*Combustion Kinetic Modeling Software 2.0.*

## Package Features

`Arrhenius.jl` is designed with following in mind:

* [Combustion software 2.0](https://www.linkedin.com/pulse/arrheniusjl-combustion-software-20-weiqi-ji/)
* [Differential programing](https://github.com/Cantera/enhancements/issues/82)
* [Physics informed machine learning](https://github.com/Cantera/enhancements/issues/82)
* Combustion simulation education.

## Outline

Documentation comes in following forms:

1. How-to examples
2. Explanatory guide
3. Reference docstrings for the entire interface are avaliable in the API Documentation section.

When updating these documents, make sure this is synced with docs/make.jl !!

### Baiscs

```@contents
Pages = ["install.md", "get_started.md", "concepts.md"]
```

## Reference

```@contents
Pages = ["faq.md", "api.md"]
```